Skip to main content
POST
/
api
/
agent
/
ingest
/
batch
Batch create ingestion jobs
curl --request POST \
  --url https://www.citedy.com/api/agent/ingest/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "urls": [
    "<string>"
  ],
  "callback_url": "<string>"
}
'
{
  "total": 123,
  "accepted": 123,
  "failed": 123,
  "results": [
    {
      "url": "<string>",
      "status": "accepted",
      "credits_charged": 123,
      "job_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "error": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer citedy_agent_* key

Body

application/json
urls
string<uri>[]
required
Required array length: 1 - 20 elements
callback_url
string<uri>
Maximum string length: 2048

Response

Batch accepted (partial or full success)

total
integer
required
accepted
integer
required
failed
integer
required
results
object[]
required